[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sqldb' (#fcl)

# TSQLScript.Transaction

Transaction to use in the script

## Declaration

Source position: sqldb.pp line 514

`published property TSQLScript.Transaction : TDBTransaction read FTransaction write SetTransaction;`

## Description

Transaction is the transaction instance to use when executing statements. If the SQL script contains any COMMIT statements, they will be handled using the TSQLTRansaction.CommitRetaining method.

## See also

TSQLTransaction |  | Transaction in which a TSQLQuery is handled
TSQLTransaction.CommitRetaining |  | Commit the transaction, retain transaction context.
TSQLScript.Database |  | Database on which to execute the script

Documentation generated on: Feb 26 2014